## maildir-filter 1.20

=== Makefile ===
CC=gcc
CFLAGS=-O6 -pipe -g -Werror -Wall
LDFLAGS=-lpcre
BINNAME=maildir-filter

all: maildir-filter

install: all
	cp maildir-filter $(DESTDIR)/usr/bin/${BINNAME}
	chmod 755 $(DESTDIR)/usr/bin/${BINNAME}
	chown root.root $(DESTDIR)/usr/bin/${BINNAME}

update-templates:
	-chmod u+w po/maildir-filter.pot
	-xgettext -d maildir-filter -j -o po/maildir-filter.pot -k_ -T maildir-filter.c 

maildir-filter: maildir-filter.o

debian-package:
	cvs-buildpackage -F -rfakeroot

clean:
	rm -f *.o core *~ maildir-filter

=== debian/changelog ===
maildir-filter (1.20-4) unstable; urgency=medium

  * QA upload.
  * Bump DH to 9.
  * Bump Standards-Version to 3.9.8.
  * Set Debian QA Group as maintainer (see #831623).
  * wrap-and-sort -a.
  * debian/docs: Remove file, it's empty.
  * debian/patches:
    - debian-changes-1.20-2:
      ~ Add two more authors and last-update field.
      ~ Refactor description.
      ~ Rename to check_realloc_return.
    - typos: New patch to fix typos.
    - make-linker-call-explicit: Refactor and integrate into the new patch
      makefile_flags_and_dir.
  * debian/rules:
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all, in order to enable all
      hardening flags.
    - Export DEB_LDFLAGS_MAINT_APPEND = -lpcre, instead of relying on the
      previously used patch make-linker-call-explicit.
    - Remove comment and trailing whitespace.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 17 Sep 2016 11:58:51 -0300

maildir-filter (1.20-3) unstable; urgency=low

  * Rework packaging according to newer standards and tools.
  * Verify library dependencies (Closes: #641627).

 -- Daniel Ruoso <daniel@ruoso.com>  Mon, 28 May 2012 17:05:39 -0300

maildir-filter (1.20-2) unstable; urgency=low

  * Check the return of realloc in maildir-filter.c:108
    (Closes: #422610).
  * Uses a more efficient algorithm, provided by Steve Langasek.
  * Fixes a minor typing error (Closes: #390051).
  * Removes reference to homepage, as its offline for a very long time
    now.
  * Updated standards-version.
  * Removed reference to non-free package in suggests.
  * Promoted to DH_COMPAT 5.
  * No longer ignores make clean errors.

 -- Daniel Ruoso <daniel@ruoso.com>  Wed,  5 Sep 2007 15:11:17 +0100

maildir-filter (1.20-1.1) unstable; urgency=medium

  * Non-maintainer upload during BSP.
  * Assign result of realloc in maildir-filter.c:108 to a temporary variable
    called tmpaddr to fix FTBFS (Closes: #422610).

 -- Mario Iseli <admin@marioiseli.com>  Fri, 18 May 2007 20:31:53 +0200

maildir-filter (1.20-1) unstable; urgency=low

  * New upstream version (Closes: #259331)

 -- Daniel Ruoso <daniel@ruoso.com>  Mon,  9 Aug 2004 18:22:45 -0300

maildir-filter (1.19-1) unstable; urgency=low

  * Taking maintainership to first upload (Closes: #221900)
  * Redesign of debian package, complete renaming to maildir-filter.
  * Rewrite the debian/rules file.
  * Removed arch-specific optimization from Makefile.

 -- Daniel Ruoso <daniel@ruoso.com>  Thu, 26 Feb 2004 12:03:03 -0300

maildir-filter (1.18-1) unstable; urgency=low

  * Renamed to maildir-filter
  * add manpage
  * fix all lintian warnings

 -- Marcelo Bezerra <mosca@mosca.yi.org>  Tue, 23 Dec 2003 10:50:22 -0300

maildir-filter (1.17-1) unstable; urgency=low

  * Sync debian and cvs version numbers.

 -- Marcelo Bezerra <mosca@mosca.yi.org>  Thu, 20 Nov 2003 16:52:52 -0300

maildir-filter (1.11-4) unstable; urgency=low

  * Cosmetic fix to version display

 -- Marcelo Bezerra <mosca@mosca.yi.org>  Thu, 20 Nov 2003 11:59:20 -0300

maildir-filter (1.11-3) unstable; urgency=low

  * Add missing build dependency to dhmake.

 -- Marcelo Bezerra <mosca@mosca.yi.org>  Thu, 20 Nov 2003 09:47:17 -0300

maildir-filter (1.11-2) unstable; urgency=low

  * Decrease memory waste

 -- Marcelo Bezerra <mosca@oktiva.com.br>  Tue, 18 Nov 2003 17:10:49 -0300

maildir-filter (1.11-1) unstable; urgency=low

  * Now headers only works

 --  <mosca@mosca.yi.org>  Sun, 16 Mar 2003 02:12:49 -0300

maildir-filter (1.10-1) unstable; urgency=low

  * New upstream version
  * now can match only in headers

 --  <mosca@mosca.yi.org>  Sun, 16 Mar 2003 01:51:52 -0300

maildir-filter (1.9-1) unstable; urgency=low

  * new upstream version.
  * logs msg bytes when delivering
  * killed bug in options parsing
  * supports negated rules
  * added -V to print version information
  * changed -v to -p (print message to stdout)

 --  <mosca@mosca.yi.org>  Sun, 16 Mar 2003 01:13:39 -0300

maildir-filter (1.5-2) unstable; urgency=low

  * killed many warnings

 --  <mosca@mosca.yi.org>  Sat, 15 Mar 2003 12:19:25 -0300

maildir-filter (1.5-1) unstable; urgency=low

  * Initial release.

 --  <mosca@mosca.yi.org>  Sat, 15 Mar 2003 11:18:17 -0300

=== debian/control ===
Source: maildir-filter
Section: mail
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=9),
               libpcre3-dev
Standards-Version: 3.9.8

Package: maildir-filter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Simple program to filter messages into Maildir folders from dot-qmail
 This program was designed to filter messages based on regular expressions with
 perl syntax and perform actions on them (deliver on a Maildir folder, send it
 to oblivion or bounce it).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -lpcre

%:
	dh $@
